void prints(short val);

int main()
{
  unsigned short i;

  for (i = -2; (short)i < 3; i++) {
    switch (i) {
    case 0:
      break;
    default:
      prints(i);
      break;
    }
  }

  return 0;
}
